﻿form .row .row .column, form .row .row .columns {
    padding: 0 0.5rem;
}

.required {
    color: darkred;
    font-size: 80%;
}

.frmLabel {
    width: 100%;
    font-weight: normal;
}

.sr-only-recaptcha {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
}
/*.frmInputField {
    height: auto;
    min-height: 50px;
    width: 100%;
    margin: 0 0 1rem 0;
    color:red;
}*/

.breakWord {
    overflow-wrap: break-word !important;
}

@media only screen and (min-width: 40.0625em) {
    .frmLabel {
        text-align: right !important;
    }
}

.rdoBtnCenter {
    width: 100%;
    display: inline-block;
}

.row.large-collapse > .column,
.row.large-collapse > .columns {
    padding-left: 0;
    padding-right: 0;
}

.row.large-collapse .row {
    margin-left: 0;
    margin-right: 0;
}

.row.large-uncollapse > .column,
.row.large-uncollapse > .columns {
    padding-left: 0.9375rem;
    padding-right: 0.9375rem;
    float: left;
}

.column,
.columns {
    position: relative;
    padding-left: 0.9375rem;
    padding-right: 0.9375rem;
    float: left;
}

/* We use this to get basic styling on all basic form elements 
    margin: 0 0 1rem 0; cause the shift
*/
#webform input[type="text"], #webform input[type="password"], #webform input[type="date"], #webform input[type="datetime"], #webform input[type="datetime-local"], #webform input[type="month"], #webform input[type="week"], #webform input[type="email"], #webform input[type="number"], input[type="search"], #webform input[type="tel"], #webform input[type="time"], #webform input[type="url"], #webform input[type="color"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0;
    background-color: #FFFFFF;
    border-style: solid;
    border-width: 1px;
    border-color: #cccccc;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    color: rgba(0, 0, 0, 0.75);
    display: block;
    font-family: inherit;
    /*height: 2.3125rem;*/
    margin: 0 0 1rem 0;
    padding: 0.5rem;
    width: 100%;
    box-sizing: border-box;
    transition: border-color 0.15s linear, background 0.15s linear;
}

#webform textarea {
    height: auto;
    min-height: 50px;
    width: 100%;
    margin: 0 0 1rem 0;
    color: rgba(0, 0, 0, 0.75);
}

#webform select {
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    background-color: #FAFAFA;
    border-radius: 0;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZlcnNpb249IjEuMSIgeD0iMTJweCIgeT0iMHB4IiB3aWR0aD0iMjRweCIgaGVpZ2h0PSIzcHgiIHZpZXdCb3g9IjAgMCA2IDMiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDYgMyIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+PHBvbHlnb24gcG9pbnRzPSI1Ljk5MiwwIDIuOTkyLDMgLTAuMDA4LDAgIi8+PC9zdmc+);
    background-position: 100% center;
    background-repeat: no-repeat;
    border-style: solid;
    border-width: 1px;
    border-color: #cccccc;
    color: rgba(0, 0, 0, 0.75);
    font-family: inherit;
    line-height: normal;
    padding: 0.5rem;
    border-radius: 0;
    /*height: 2.3125rem;*/
    width: 100%;
    margin: 0 0 1rem 0;
}

input[type="checkbox"], input[type="radio"] {
    box-sizing: border-box;
    padding: 0;
    margin: 0 0 1rem 0;
}

input[type="checkbox"] {
    margin-block: inherit;
}

    input[type="checkbox"] + label,
    input[type="radio"] + label {
        display: inline-block;
        margin-left: 0.5rem;
        margin-right: 1rem;
        margin-bottom: 0;
        vertical-align: baseline;
        font-weight: normal;
    }

    input[type="checkbox"] + label {
        display: inline;
    }

.col-sm-12.checkbox > input[type="checkbox"] + label {
    display: flex;
    align-items: baseline;
    font-weight: bold;
}

.checkbox {
    display: flex;
    align-items: baseline;
}

button.small, .button.small {
    padding: 0.875rem 1.75rem 0.9375rem 1.75rem;
}
/* Using forms within rows, we need to set some defaults */
form .row .row {
    margin: 0 -0.5rem;
}

    form .row .row .column,
    form .row .row .columns {
        padding: 0 0.5rem;
    }

    form .row .row.collapse {
        margin: 0;
    }

        form .row .row.collapse .column,
        form .row .row.collapse .columns {
            padding: 0;
        }

        form .row .row.collapse input {
            -webkit-border-bottom-right-radius: 0;
            -webkit-border-top-right-radius: 0;
            border-bottom-right-radius: 0;
            border-top-right-radius: 0;
        }

form .row input.column,
form .row input.columns,
form .row textarea.column,
form .row textarea.columns {
    padding-left: 0.5rem;
}

hr {
    border: solid #DDDDDD;
    border-width: 1px 0 0;
    clear: both;
    height: 0;
    margin: 1.25rem 0 1.1875rem;
}

.row-custom {
    padding: 0 .7rem 0 .7rem;
}

.table-cell-padding {
    padding-left: .2rem;
    padding-right: .2rem;
}

.table-fix-header {
    position: sticky;
    top: -0.01rem;
    z-index: 1;
}
